#ifndef __gui__widgets__elided_label_h
#define __gui__widgets__elided_label_h

#include <QFrame>
#include <QString>

class QPaintEvent;
class QWidget;

class ElidedLabel : public QFrame {
public:
	ElidedLabel(const QString& text, QWidget* parent = nullptr);
	void SetText(const QString& text);

protected:
	QString content;

	void paintEvent(QPaintEvent* event) override;
};

#endif // __gui__widgets__elided_label_h